$(document).ready(function(){
	//this ALWAYS runs
	function getCookie(name){
	    var value = '; ' + document.cookie;
	    var parts = value.split('; ' + name + '=');
	    if (parts.length === 2) {
	        return parts.pop().split(';').shift();
	    }
	}
	
	var baseURL = window.location.hostname;
	var token = getCookie('webapitoken');
	var categoryID;

	var settings = {
	  "url": "https://" + baseURL + "/api/v2/categories",
	  "method": "GET"
	};

	$.ajax(settings).done(function (response) {
		$.each(response.Records, function(index, category){
			categoryID = category.ID;
		});
	});

	//check if merchant is logged in and is on home page
	if($('#merchantId') && $('#merchantId').length && $("body").hasClass("page-home")){ 

		//API call here
		
		//Get mercgant Guid
		var merchantID = $("#userGuid").val();

		//create a div
		var div = document.createElement("div");
		div.id = "new";

		//create some text
		var p = document.createElement("p");
		p.innerHTML = "Create item\n";

		//create a button
		var button = document.createElement("button");
		button.id = "create";
		button.innerHTML = "Create";

		div.appendChild(p);
		div.appendChild(button);

		var box = document.getElementsByClassName("section section-shop")[0];
		box.appendChild(div);

		//create an onclick for the button to call the API
		$("#create").click(function(){

			//Prepare the request to create an item
			var item_data = {
			    "SKU": "",
			    "Name": "Hello World Item",
			    "BuyerDescription": "Item created through Hello world",
			    "Price": "100",
			    "StockLimited": true,
			    "StockQuantity": 1,
			    "IsVisibleToCustomer": true,
			    "Active": true,
			    "IsAvailable": true,
			    "CurrencyCode": "SGD",
			    "MerchantDetail": {
			        "ID": merchantID
			    },
			    "Categories": [
			        {
			            "ID": categoryID
			        }
			    ],
			    "Media": [
			        {
			            "MediaUrl": "https://bootstrap.arcadier.com/github/Item19170-636439922842419797-C7k6Mg.jpg"
			        }
			    ],
			    "Tags": [
			        "Hello"
			    ]
			};

			//prepare the ajax call to create an item
			var item_settings = {
			  "url": "https://" + baseURL + "/api/v2/merchants/" + merchantID + "/items",
			  "method": "POST",
			  
			  "headers": {
			    "Content-Type": "application/json",
			    "Authorization": "Bearer " + token
			  },
			  "data": JSON.stringify(item_data)
			};

			//call the API to create Item
			$.ajax(item_settings).done(function (response) {
			  toastr.success("Sucess", "Item Created");
			  location.reload(true);
			});
		});
	}
	else {
		//check if buyer is logged in and on item detail page
		//this will run for a merchant on the item detail page
		if($('#userId') && $('#userId').length && $("body").hasClass("item-detail-page")){

			var container = document.getElementsByClassName("item-description")[0];
			var button = document.createElement("button");
			button.innerHTML = "I'm a better button";
			button.id = "better";

			container.appendChild(button);

			$("#better").click(function(){
				//API call here
				//get the itemGuid
				var itemID = $("#itemGuid").val();

				//get userGuid
				var userGuid = $("#userGuid").val();

				//Add the item to cart
				var data = {
				    "ItemDetail": {
				        "ID": itemID
				    },
				    "Quantity": 1
				};

				var cart_settings = {
					"url": "https://" + baseURL + "/api/v2/users/" + userGuid + "/carts",
					"method": "POST",
					"headers": {
						"Content-Type": "application/json",
						"Authorization": "Bearer " + token
					},
					"data": JSON.stringify(data)
				};

				$.ajax(cart_settings).done(function (response) {
					location.reload(true);
				});
			});
		}
		//in all other cases, return 0
		else{
			return 0;
		}
	}
});